%define upstream_name Test-Distribution
%define upstream_version 2.00

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 12
Summary: 	Perform tests on all modules of a distribution 
License: 	GPL or Artistic
Group: 		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source: 	http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
Buildrequires:	perl(Module::Build)
Buildrequires:	perl(Module::Signature)
Buildrequires:	perl(Module::CoreList)
requires:	perl(File::Find::Rule)
BuildArch: 	noarch


%description
When using this module in a test script, it goes through all the modules in
your distribution, checks their POD, checks that they compile ok and checks
that they all define a $VERSION.

This module also performs a numer of test on the distribution itself. It checks
that your files match your SIGNATURE file if you have one. It checks that your
distribution isn't missing certain 'core' description files. It checks to see
you havent' missed out listing any pre-requisites in Makefile.PL.

It defines its own testing plan, so you usually don't use it in conjunction
with other Test::* modules in the same file. It's recommended that you just
create a one-line test script as shown in the SYNOPSIS above. However, there
are options...

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes.pod README META.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-12.mga6
+ Revision: 1034279
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.0.0-11.mga6
+ Revision: 968806
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 2.0.0-10.mga6
+ Revision: 855446
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 2.00-9.mga5
+ Revision: 747751
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.00-8.mga5
+ Revision: 686428
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.00-7.mga4
+ Revision: 515119
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.00-6.mga3
+ Revision: 373473
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.00-5.mga1
+ Revision: 27111
- mageia rebuild
- imported package perl-Test-Distribution


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.00-5mdv2010.0
+ Revision: 430593
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.00-4mdv2009.0
+ Revision: 258512
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.00-3mdv2009.0
+ Revision: 246532
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 2.00-1mdv2008.1
+ Revision: 109317
- New version 2.00

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.29

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.27-1mdv2008.1
+ Revision: 104456
- update to new version 1.27
- fix doc files

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-2mdv2008.0
+ Revision: 47042
- rebuild


* Fri Jun 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdv2007.0
- New version 1.26

* Tue May 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdk
- New release 1.25

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdk
- New release 1.24

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.23-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdk
- New release 1.23

* Tue Sep 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdk
- New release 1.22

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-3mdk
- don't ship empty dirs

* Sat May 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-2mdk 
- add an explicit dependency on perl-File-Find-Rule

* Wed Apr 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdk 
- first mandriva release

